"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const gulp_1 = require("gulp");
const gulp_cwebp_1 = __importDefault(require("gulp-cwebp"));
const fs_1 = require("fs");
const path_1 = require("path");
exports.default = ({ extensions = ["png", "jpg"], logger = false, }) => {
    return {
        name: "vite-plugin-webp-generator",
        enforce: "post",
        transform: async (code, id) => {
            console.log(id, new RegExp(`.(${extensions.join("|")})$`).test(id), !id.includes("node_modules"), !(0, fs_1.existsSync)(id.replace((0, path_1.extname)(id), ".webp")));
            if (new RegExp(`.(${extensions.join("|")})$`).test(id) &&
                !id.includes("node_modules") &&
                !(0, fs_1.existsSync)(id.replace((0, path_1.extname)(id), ".webp"))) {
                (0, gulp_1.src)(id)
                    .pipe((0, gulp_cwebp_1.default)())
                    .pipe((0, gulp_1.dest)((0, path_1.dirname)(id)));
                logger && console.info(`Generate ${id.replace((0, path_1.extname)(id), ".webp")}`);
            }
        },
    };
};
//# sourceMappingURL=index.js.map